| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Protected Member Functions | List of all members
FreeTextComponent Class Reference
PDFViewCtrl » annotCompontents
Inheritance diagram for FreeTextComponent:

## Protected Member Functions
| isGroupedMoveLeader ()
Protected Member Functions inherited from MarkupAnnotComponent
| getContextMenuConfig ()
| Gets the contextmenu configuration item. More...
| hidePopup ()
| hide popup
| hidePropertiesDialog ()
| Hide the properties dialog.
| onDoubleTap (e)
| When you double click on the annotation, it fires. More...
| showContextMenu (x, y)
| Display the contextmenu.
| showPopup ()
| show popup
| showPropertiesDialog ()
| Displays the properties dialog.
protected void | showReplyDialog ()
| Display the reply dialog.
Protected Member Functions inherited from AnnotComponent
| doActive ()
| Subclasses of Activatable should override this method to implement activation operation.
| doDeactive ()
| Subclasses of Activatable should override this method to implement deactivation operation.
| tapAnnot ()
| The method that is triggered when user click on the annot.

## Additional Inherited Members
Public Member Functions inherited from MarkupAnnotComponent
| hideReplyDialog ()
Public Member Functions inherited from AnnotComponent
| getModel ()
| Obtains the PDF Annot instance. More...
Public Member Functions inherited from Activatable
| active ()
| Sets isActive to `true` and calls doActive method. More...
| unActive ()
| Sets isActive to `false` and calls doDeactive method. More...
Static Public Member Functions inherited from MarkupAnnotComponent
static | getDefaultContextMenuConfig ()
| get default content-menu config More...
Public Attributes inherited from AnnotComponent
HTMLElement | element
| A DOM element used to render the annotation.
Public Attributes inherited from Activatable
boolean | isActive
| Whether this activatable objec has been activated or not!

## Detailed Description

annot

## Member Function Documentation

## ◆ isGroupedMoveLeader()

FreeTextComponent::isGroupedMoveLeader | ( |  | ) |
| inline protected

组合注释下仅组头应对 engine 发起 moveTo（及实时 move），避免每个组成员各触发一次导致重复 annotationUpdated。

@2026 Foxit Software Incorporated. All rights reserved.